跳到主要内容

列出仓库的 Artifacts

GET 

/api/v8/repos/:owner/:repo/actions/artifacts

分页查询仓库下的制品,支持按名称过滤及排序。

Request​

Path Parameters

    owner stringrequired

    仓库所属空间地址(组织或个人的地址path)

    repo stringrequired

    仓库路径(path)

Query Parameters

    access_token string

    用户授权码

    name string

    制品名称过滤(模糊匹配)

    sort string

    排序字段,当前仅支持created

    direction string

    排序方向,asc 或 desc

    page integer

    当前页码

    Example: 1
    per_page integer

    每页的项目数

    Example: 10

Responses​

Response Headers
    Schema
      total_countinteger

      制品总数

      artifacts object[]

      制品列表

    • Array [
    • idstring

      制品ID

      namestring

      制品名称

      size_bytesinteger

      制品大小(字节)

      workflow_idstring

      工作流ID

      workflow_run_idstring

      工作流运行ID

      digeststring

      SHA256 摘要

      expires_atstring

      过期时间(毫秒时间戳)

      created_atstring

      创建时间(毫秒时间戳)

      updated_atstring

      更新时间(毫秒时间戳)

    • ]